Subject: Re: intel ddd cygwin
From: Cal Erickson <[email-masked]>
To: [email-masked]
Cc: Joshua Kolden <[email-masked]>
Date: Wed, 05 May 2004 13:46:22 -0700

You need to tell ddd what type of inferior debugger you are using. For 
instance if you were using a cross gdb that was targeted for Xscale
then you would do something like:

ddd --debugger xscale_le-gdb --gdb hello.exe

This way ddd knows what the protocol looks like to communicate to the
inferior debugger. The inferior debuggers that ddd knows about are gdb, 
dbx, xdb, jdb, pydb and perl. There are other options you can use and 
they are all documented in the ddd manual.

Cal Erickson

Brian Ford wrote:

> Just some WAGs:
> 
> On Tue, 4 May 2004, Joshua Kolden wrote:
> 
> 
>>When attempting to start debugging on a simple helloWorld program ddd
>>seems to hang waiting for a responds from idb (the intel's debugger)
>>
>>
>>>ddd --debugger "idb -gdb" helloWorld.exe
>>>
>>I get:
>>
>>"Reading Symbols from helloWorld.exe...done."
>>
>>...then nothing.  If I try any other action in ddd, such as "run" I get:
>>
>>"Run: waiting until GDB gets ready"
>>
> 
> IIRC, ddd uses ttys to talk to the inferior debugger.  Try CYGWIN=tty, but
> since idd is not a Cygwin application, it may not help any.
> 
> 
>>Which never does get ready.  However, when I run idb by hand it responds
>>like gdb.  Anyone have any experience with this?
>>
> 
> Are you sure that idb's gdb emulation is exact?
> 
> Just a couple guesses...
> 
> 

-- 
===========================================================================
Cal Erickson                 MontaVista Software Inc.
Linux Consultant             1237 E. Arques Ave.
Phone (408) 328-0304         Sunnyvale CA 94085
Fax   (408) 328-9204         web http://www.mvista.com
===========================================================================

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/